package vip.xiaonuo.disk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.disk.domain.FileBean;
import vip.xiaonuo.disk.vo.file.FileDetailVO;

public interface IFileService  extends IService<FileBean> {

    Long getFilePointCount(String fileId);
    void unzipFile(String userFileId, int unzipMode, String filePath);

    void updateFileDetail(String userFileId, String identifier, long fileSize);

    FileDetailVO getFileDetail(String userFileId);

}
